# Project: WoU MapED
# Makefile created by Dev-C++ 4.9.9.2

CPP  = g++.exe -D__DEBUG__
CC   = gcc.exe -D__DEBUG__
WINDRES = windres.exe
RES  = WoU_MapED_private.res
OBJ  = maped_main.o ../map.o ../person.o ../player.o ../sound.o ../tiles.o ../common.o ../display.o ../log.o $(RES)
LINKOBJ  = maped_main.o ../map.o ../person.o ../player.o ../sound.o ../tiles.o ../common.o ../display.o ../log.o $(RES)
LIBS =  -L"C:/Dev-Cpp/lib" -mwindows -lalleg_s -lgdi32 -ldxguid -lole32 -ldinput -lddraw -lwinmm -ldsound  -g3 
INCS =  -I"C:/Dev-Cpp/include" 
CXXINCS =  -I"C:/Dev-Cpp/lib/gcc/mingw32/3.4.2/include"  -I"C:/Dev-Cpp/include/c++/3.4.2/backward"  -I"C:/Dev-Cpp/include/c++/3.4.2/mingw32"  -I"C:/Dev-Cpp/include/c++/3.4.2"  -I"C:/Dev-Cpp/include" 
BIN  = "WoU MapED.exe"
CXXFLAGS = $(CXXINCS)   -g3
CFLAGS = $(INCS) -DALLEGRO_STATICLINK   -g3
RM = rm -f

.PHONY: all all-before all-after clean clean-custom

all: all-before "WoU MapED.exe" all-after


clean: clean-custom
	${RM} $(OBJ) $(BIN)

$(BIN): $(OBJ)
	$(CPP) $(LINKOBJ) -o "WoU MapED.exe" $(LIBS)

maped_main.o: maped_main.cpp
	$(CPP) -c maped_main.cpp -o maped_main.o $(CXXFLAGS)

../map.o: ../map.cpp
	$(CPP) -c ../map.cpp -o ../map.o $(CXXFLAGS)

../person.o: ../person.cpp
	$(CPP) -c ../person.cpp -o ../person.o $(CXXFLAGS)

../player.o: ../player.cpp
	$(CPP) -c ../player.cpp -o ../player.o $(CXXFLAGS)

../sound.o: ../sound.cpp
	$(CPP) -c ../sound.cpp -o ../sound.o $(CXXFLAGS)

../tiles.o: ../tiles.cpp
	$(CPP) -c ../tiles.cpp -o ../tiles.o $(CXXFLAGS)

../common.o: ../common.cpp
	$(CPP) -c ../common.cpp -o ../common.o $(CXXFLAGS)

../display.o: ../display.cpp
	$(CPP) -c ../display.cpp -o ../display.o $(CXXFLAGS)

../log.o: ../log.c
	$(CPP) -c ../log.c -o ../log.o $(CXXFLAGS)

WoU_MapED_private.res: WoU_MapED_private.rc maped_icon.rc 
	$(WINDRES) -i WoU_MapED_private.rc --input-format=rc -o WoU_MapED_private.res -O coff 
